package com.ruoyi.dashboard.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wjh
 * 2024/10/8
 */
@Data
public class BusinessStatisticsVO {

    @ApiModelProperty("店铺ID")
    private Long storeId;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("设备数量")
    private Integer deviceCount;

    @ApiModelProperty("订单数量")
    private Integer orderCount;

    @ApiModelProperty("总时长（秒）")
    private BigDecimal seconds;

    @ApiModelProperty("总电量（度）")
    private BigDecimal ele;

    @ApiModelProperty("收入总金额")
    private BigDecimal arrivalAmount;

}
