package com.ruoyi.task.bonus;

import com.ruoyi.ss.bonus.service.BonusService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

/**
 * @author wjh
 * 2024/9/27
 */
@Component
@Slf4j
public class BonusTask {

    @Autowired
    private BonusService bonusService;

    /**
     * 分成打款
     */
    public void payBonus() {
        bonusService.payBonusBeforeTime(LocalDateTime.now());
    }

}
