package com.ruoyi.ss.user.domain;

import com.ruoyi.common.core.domain.entity.SmUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author 辉
 * 2024/3/7
 */
@Data
public class SmUserQuery extends SmUser {

    @ApiModelProperty("用户id列表")
    private List<Long> userIds;

    @ApiModelProperty("创建日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    @ApiModelProperty("删除日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date deleteDate;

    @ApiModelProperty("租户设备id")
    private Long tenantDeviceId;

    @ApiModelProperty("用户手机号精准匹配")
    private String eqPhonenumber;

    @ApiModelProperty("排除的用户ID")
    private Long excludeUserId;

}
